# Interface SyButtonReadableType

All Superinterfaces:
  `SyActiveReadableType, SyBoundedReadableType<SySpaceParentRelativeType>, SyComponentReadableType, SyKeyboardFocusableReadableType, SyMouseFocusAcceptingReadableType, SySizedReadableType<SySpaceParentRelativeType>, SyThemeableReadableType, SyVisibleReadableType`

All Known Subinterfaces:
  `SyButtonType, SyButtonWithTextReadableType, SyButtonWithTextType`

public interface SyButtonReadableType extends SyComponentReadableType
Read-only access to a button.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isPressed()`
  `default List<SyThemeClassNameType>`
  `themeClassesDefaultForComponent()`
  Obtain the list of theme classes in preference order that are the default classes for a particular type of component.

  ### Methods inherited from interface SyActiveReadableType

  `activity, isMouseOver`

  ### Methods inherited from interface SyBoundedReadableType

  `boundingArea, position`

  ### Methods inherited from interface SyComponentReadableType

  `ancestorMatchingReadable, childCount, isActive, isVisible, nodeReadable, relativePositionOf, screen, viewportPositionOf, windowReadable`

  ### Methods inherited from interface SyKeyboardFocusableReadableType

  `keyboardFocusBehavior`

  ### Methods inherited from interface SyMouseFocusAcceptingReadableType

  `isMouseQueryAccepting`

  ### Methods inherited from interface SySizedReadableType

  `size, sizeUpperLimit`

  ### Methods inherited from interface SyThemeableReadableType

  `themeClassesExtra, themeClassesInPreferenceOrder`

  ### Methods inherited from interface SyVisibleReadableType

  `visibility`

- ## Method Details

  - ### themeClassesDefaultForComponent

    default List<SyThemeClassNameType> themeClassesDefaultForComponent()
    Description copied from interface: `SyThemeableReadableType`
    Obtain the list of theme classes in preference order that are the default classes for a particular type of component.
    Specified by:
      `themeClassesDefaultForComponent` in interface `SyThemeableReadableType`
    Returns:
      The list of theme classes

  - ### isPressed

    boolean isPressed()
    Returns:
      `true` if the button is currently pressed